<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Jughead's Time Police</Series>
  <Number>003</Number>
  <Web>https://www.comixology.com/Jughead-s-Time-Police-3/digital-comic/800308</Web>
  <Summary>Jughead meets Jughead! What does this other, older Jughead want with our crowned hero, and what does January McAndrews know that she’s not telling him? It’s up to present-day Jughead to change courses and journey in the opposite direction—to the past, the distant past!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB800308]</Notes>
  <Publisher>Archie</Publisher>
  <Genre>Romance, Drama, Comedy</Genre>
  <PageCount>25</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
